summaryrefslogtreecommitdiff
path: root/UnixPkg/build64.sh
diff options
context:
space:
mode:
Diffstat (limited to 'UnixPkg/build64.sh')
-rwxr-xr-xUnixPkg/build64.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/UnixPkg/build64.sh b/UnixPkg/build64.sh
index 90e2b7d025..f2a6927d57 100755
--- a/UnixPkg/build64.sh
+++ b/UnixPkg/build64.sh
@@ -91,6 +91,12 @@ do
if [[ $arg == cleanall ]]; then
make -C $WORKSPACE/BaseTools clean
fi
+ if [[ $arg == shell ]]; then
+ build -p $WORKSPACE/GccShellPkg/GccShellPkg.dsc -a X64 -t $TARGET_TOOLS -n 3 $2 $3 $4 $5 $6 $7 $8
+ exit $?
+ fi
+
+
done
@@ -99,8 +105,6 @@ done
#
echo $PATH
echo `which build`
-# Uncomment this if you want to build the shell.
-build -p $WORKSPACE/GccShellPkg/GccShellPkg.dsc -a X64 -t $TARGET_TOOLS -n 3 $1 $2 $3 $4 $5 $6 $7 $8
build -p $WORKSPACE/UnixPkg/UnixPkgX64.dsc -a X64 -t $TARGET_TOOLS -n 3 $1 $2 $3 $4 $5 $6 $7 $8
exit $?